package com.diaoyun.zion.master.exception;

import java.util.Date;

/**
 * 返回错误实体
 */
public class ErrorDetails {
    private Date timestamp;
    private String message;
    private String details;
    private int status;
    private int code;

    public ErrorDetails(Date timestamp, String message, String details, int status, int code) {
        this.timestamp = timestamp;
        this.message = message;
        this.details = details;
        this.status = status;
        this.code = code;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
